# Abreuvoire

## Description du projet

## Arduino

- Mettez le code qui est dans le dossier `arduino/abreuvoire.c` dans votre Arduino .

- Metter vous sur le dossier `ReadPortSerieArduino` .

```Shell
cd ReadPortSerieArduino
```

- Ajoutez un fichier .env :

```Shell
API_URL=localhost:3000
TEMPS_RECUPERATION_METHOD_NOTIFICATION=1200
TEMPS_RECUPERATION_DISTANCE=300
```

- Lancez l'env virtuel :
```Shell
pipenv shell
```

- Executez le code python `python3 ReadPortSerieArduino.py` pour lancer le programme qui lit le port serie d'arduino et envoie les infos à l'api.

## Lancement de l'application

- Mettez vous sur le dossier `app` .

```shell
cd app
```

- Ajoutez un fichier .env dans le dossier racine.

```Shell
mongoURI=mongodb://localhost/abreuvoir
RAYON_SEAU=15
HAUTEUR_INITIALE_EAU=50
DISTANCE_SUPPLEMENTAIRE=5
```

- Build et lancement des containers :
```Shell
docker compose up --build
```

- Destruction des containers :
```Shell
docker compose down
```

